*  vdcursor.prg  Version 1.0  Released 30-Apr-92

* Copyright 1992, DF Software Development, Inc.

*      Routine:VdInit
*   Parameters:void
*  Description:This routine loads the vdcursor.bin file. It must be called
*              before VdRow() and VdCol() can be used.
*        Usage:do VdInit
*     Revision:30-Apr-92 Initial Release
procedure VdInit
load vdcursor
return


*      Routine:VdRow
*   Parameters:void
*  Description:This routine returns the absolute screen row of the cursor.
*        Usage:r = VdRow()
*              where 0 <= r <= MaxVideoRows - 1
*     Revision:30-Apr-92 Initial Release
function VdRow
private x

x = "  "                                 && argument to vdcursor
call vdcursor with x                     && find the cursor position
return( asc( substr( x, 2 ) ) - 1 )      && return the row part of arg


*      Routine:VdCol
*   Parameters:void
*  Description:This routine returns the absolute screen column of the cursor.
*        Usage:c = VdCol()
*              where 0 <= c <= 79
*     Revision:30-Apr-92 Initial Release
function VdCol
private x

x = "  "                                 && argument to vdcursor
call vdcursor with x                     && find the cursor position
return( asc( left( x, 1 ) ) - 1 )        && return the col part of arg


*      Routine:VdRelease
*   Parameters:void
*  Description:This routine frees the vdcursor.bin from memory.
*        Usage:do VdRelease
*     Revision:30-Apr-92 Initial Release
procedure VdRelease
release module vdcursor
return
